## org.eclipse.wst.server.ui
Class ServerUICore

    java.lang.Object
      org.eclipse.wst.server.ui.ServerUICore

    public final class ServerUICore

extends java.lang.Object

Server UI core.

This class provides all its functionality through static members. It is not intended to be subclassed or instantiated.

Since:
  1.0

Method Summary
`static ILabelProvider` `getLabelProvider()` Returns a label provider that can be used for all server objects in the UI.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getLabelProvider

    public static ILabelProvider getLabelProvider()

  Returns a label provider that can be used for all server objects in the UI.

  Returns:
    a label provider